/**
 * Use to handle the basic functionality of the "Statistics" menu.
 *
 * @package daext-autolinks-manager
 */

(function ($) {

	'use strict';

	$( document ).ready(
		function () {

			'use strict';

			$( '#daext-sort-form select' ).on(
				'change',
				function () {
					$( '#daext-sort-form' ).submit();
				}
			);

			$( '#update-archive' ).click(
				function () {

					// If another request is processed right now do not proceed with another ajax request.
					if ($( '#ajax-request-status' ).val() == 'processing') {
						return;
					}

					// Prepare ajax request.
					var data = {
						'action': 'daextam_generate_statistics',
						'security': window.daextamNonce,
					};

					// Show the ajax loader.
					$( '#ajax-loader' ).show();

					// Set the ajax request status.
					$( '#ajax-request-status' ).val( 'processing' );

					// Send ajax request.
					$.post(
						window.daextamAjaxUrl,
						data,
						function () {

							// Reload the dashboard menu ----------------------------------------.
							window.location.replace( window.daextamAdminUrl + 'admin.php?page=daextam-statistics' );

						}
					);

				}
			);

		}
	);

}(window.jQuery));