<?php
/**
 * The file used to display the "Export to Pro" menu in the admin area.
 *
 * @package daext-autolinks-manager
 */

if ( ! current_user_can( 'manage_options' ) ) {
	wp_die( esc_html__( 'You do not have sufficient permissions to access this page.', 'daext-autolinks-manager' ) );
}

?>

<!-- output -->

<div class="wrap">

	<h2><?php esc_html_e( 'Autolinks Manager - Export to Pro', 'daext-autolinks-manager' ); ?></h2>

	<div id="daext-menu-wrapper">

		<p><?php esc_html_e( 'Click the Export button to generate an XML file that includes autolinks, categories and term groups.', 'daext-autolinks-manager' ); ?></p>
		<p><?php esc_html_e( 'Note that you can import the resulting file in the Import menu of the ', 'daext-autolinks-manager' ); ?>
			<a href="https://daext.com/autolinks-manager/"><?php esc_html_e( 'Pro Version', 'daext-autolinks-manager' ); ?></a>.</p>

		<!-- the data sent through this form are handled by the export_xml_controller() method called with the WordPress init action -->
		<form method="POST" action="admin.php?page=daextam_export_to_pro">

			<div class="daext-widget-submit">
				<input name="daextam_export" class="button button-primary" type="submit"
						value="<?php esc_attr_e( 'Export', 'daext-autolinks-manager' ); ?>">
			</div>

		</form>

	</div>

</div>
